package org.rcisoft.core.enums;

/**
 * Created by gaowenfeng on 2017/7/17.
 */
public enum  ResultEnums {
    SUCCESS(0,"操作成功"),

    EXCEL_IMPORT_DATA_NOT_EXIST(11,"Excel中没有找到任何完整有效的数据"),

    EXCEL_IMPORT_HEADER_ERROR(12,"excel表头信息错误，导入失败"),

    EXCEL_IMPORT_DB_INSERT_ERROR(13,"数据库插入失败"),

    INSERT_DATA_EXIST(14,"该信息已经存在"),

    ADD_ERROR(15,"添加异常"),

    UPDATE_PASSWORD_ERROR(16,"修改密码异常"),

    LOGIN_PARAMETER_ERROR(17,"用户名或者密码不正确"),

    LOGIN_AUTHORIZATION_ERROR(18,"不合法的token值"),

    LOGIN_HEADER_ERROR(19,"不合法的Authorization header"),

    PARAMER_ERROR(20,"参数错误"),

    UPLOAD_FILE_ERROR(26,"上传图片失败"),

    PASSWORD_ENCODE(35,"密码加密异常"),

    UPDATE_ERROR(36,"操作失败"),

    ROLE_ERROR(46,"权限错误"),

    PASSWORD_ERROR(63,"原密码错误"),

    PASSWORD_LENGTH_ERROR(65,"密码长度必须在6到16位之间");

    private Integer code;
    private String message;

    ResultEnums(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
