package org.rcisoft.core.result;

import lombok.Getter;

/**
 * Created by lcy on 17/11/24.
 */
@Getter
public enum AuthExceptionEnum {

    ACCESS_DENIED(4031,"权限不足"),
    LOGIN_PARAM_ERROR(4302,"用户名密码错误"),
    AUTH_HEADER_ERROR(4304,"不合法的token验证"),
    ;

    private Integer code;
    private String message;

    AuthExceptionEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}
