package org.rcisoft.core.util;

import org.rcisoft.core.model.JwtUser;
import org.rcisoft.sys.user.entity.SysUser;

/**
 * Created by lcy on 17/11/21.
 */
public final class JwtUserFactory {
    private JwtUserFactory() {
    }

    /**
     * 创建JwtUser工厂
     */
    public static JwtUser create(SysUser user){
        return new JwtUser(
                user.getBusinessId(),
                user.getLoginName(),
                user.getPassword(),
                user.getSimpleAuthorities()
        );
    }

}
