package org.rcisoft.sys.user.controller;

import org.rcisoft.core.result.Result;
import org.rcisoft.sys.user.entity.SysUser;
import org.rcisoft.sys.user.service.SysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
/**
 * Created by Andrew on 2017/7/6.
 */
@RestController
@RequestMapping(value = "/user")
public class SysUserController {

    @Autowired
    private SysUserService userServiceImpl;

    @PostMapping(value = "/addUser")
    public Result addUser(SysUser user, Result result){
        try{
            userServiceImpl.addUser(user);
            //response.setErrorMessage("添加失败",null);
        }catch (Exception e){
            e.printStackTrace();
            //response.setErrorMessage(e.getMessage(),"");
        }
        return result;
    }
}
